Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class JndiRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.JndiRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, JndiRefType<T>

    public class JndiRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, JndiRefType<T>

This class implements the `jndi-refType` xsd type

Original Documentation:

Used to inject generic types based on JNDI name

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`JndiRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`JndiRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<JndiRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getJndiRefName()` Returns the `jndi-ref-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`JndiRefType<T>` | `ignoreDependency()`
`InjectionTargetType<JndiRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`JndiRefType<T>` | `removeAllDescription()` Removes the `description` element
`JndiRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`JndiRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`JndiRefType<T>` | `removeJndiRefName()` Removes the `jndi-ref-name` element
`JndiRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`JndiRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`JndiRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`JndiRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`JndiRefType<T>` | `setJndiRefName(java.lang.String jndiRefName)` If not already created, a new `jndi-ref-name` element with the given value will be created.
`JndiRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiRefTypeImpl

    public JndiRefTypeImpl(T t,
                           java.lang.String nodeName,
                           org.jboss.shrinkwrap.descriptor.spi.Node node)

### JndiRefTypeImpl

    public JndiRefTypeImpl(T t,
                           java.lang.String nodeName,
                           org.jboss.shrinkwrap.descriptor.spi.Node node,
                           org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setJndiName

    public JndiRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### removeJndiName

    public JndiRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `JndiRefType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    public JndiRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### removeMappedName

    public JndiRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `JndiRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public JndiRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### injectionTarget

    public InjectionTargetType<JndiRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `JndiRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<JndiRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `JndiRefType<T>`
  Returns:
    list of `injection-target`

### ignoreDependency

    public JndiRefType<T> ignoreDependency()

  Specified by:
    `ignoreDependency` in interface `JndiRefType<T>`

### isIgnoreDependency

    public java.lang.Boolean isIgnoreDependency()

  Specified by:
    `isIgnoreDependency` in interface `JndiRefType<T>`

### setDescription

    public JndiRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### setDescriptionList

    public JndiRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `JndiRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `JndiRefType`

### removeAllDescription

    public JndiRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `JndiRefType<T>`
  Returns:
    list of `description`

### setJndiRefName

    public JndiRefType<T> setJndiRefName(java.lang.String jndiRefName)

  If not already created, a new `jndi-ref-name` element with the given value will be created. Otherwise, the existing `jndi-ref-name` element will be updated with the given value.

  Specified by:
    `setJndiRefName` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### removeJndiRefName

    public JndiRefType<T> removeJndiRefName()

  Removes the `jndi-ref-name` element

  Specified by:
    `removeJndiRefName` in interface `JndiRefType<T>`
  Returns:
    the current instance of `JndiRefType`

### getJndiRefName

    public java.lang.String getJndiRefName()

  Returns the `jndi-ref-name` element

  Specified by:
    `getJndiRefName` in interface `JndiRefType<T>`
  Returns:
    the node defined for the element `jndi-ref-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD